> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.astropods.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.astropods.com/_mcp/server.

# List agents

GET https://astropods.com/api/v1/agents

Returns the public catalog of agents that have at least one published semver version. No authentication required.

Reference: https://docs.astropods.com/api-reference/astropods-api/agents/list-agents

## Response

### 200

List of agents with versions

- `agents` (list of object, optional)
  - `account` (string, optional)
  - `name` (string, optional)
  - `registry` (string, optional)
  - `versions` (list of object, optional)
    - `build_id` (string, optional)
    - `version` (string, optional) — Semver if published
    - `spec` (map from string to any, optional)
    - `readme` (string, optional)
    - `published_at` (datetime, optional)
    - `validation_warnings` (list of object, optional)
- `count` (integer, optional)

## Errors

### 500 Internal Server Error

Server error

- `error` (string, optional)
- `details` (string, optional)

## Examples

**Response**

```json
{
  "agents": [
    {
      "account": "string",
      "name": "string",
      "registry": "string",
      "versions": [
        {
          "build_id": "string",
          "version": "string",
          "spec": {},
          "readme": "string",
          "published_at": "2024-01-15T09:30:00Z",
          "validation_warnings": [
            {}
          ]
        }
      ]
    }
  ],
  "count": 1
}
```

**SDK Code**

```python
import requests

url = "https://astropods.com/api/v1/agents"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://astropods.com/api/v1/agents';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://astropods.com/api/v1/agents"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://astropods.com/api/v1/agents")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://astropods.com/api/v1/agents")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://astropods.com/api/v1/agents');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://astropods.com/api/v1/agents");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://astropods.com/api/v1/agents")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```